internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper Struct Referenceabstract
Inheritance diagram for internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper:
Collaboration diagram for internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper:

## Public Member Functions

virtual range_type | get_range (const kernel_input_tuple &ip) const =0
virtual range_wrapper * | clone () const =0
virtual | ~range_wrapper ()

## Detailed Description

### template<typename StreamFactory, typename KernelInputTuple>
struct internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper

Definition at line 207 of file _flow_graph_streaming_node.h.

## Constructor & Destructor Documentation

## ~range_wrapper()

template<typename StreamFactory , typename KernelInputTuple >

virtual internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper::~range_wrapper | ( |  | ) |

inline virtual

Definition at line 210 of file _flow_graph_streaming_node.h.

{}

## Member Function Documentation

## clone()

template<typename StreamFactory , typename KernelInputTuple >

virtual range_wrapper* internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper::clone | ( |  | ) | const

pure virtual

Implemented in internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_mapper< N >, and internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value.

## get_range()

template<typename StreamFactory , typename KernelInputTuple >

virtual range_type internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper::get_range | ( | const kernel_input_tuple & | ip | ) | const

pure virtual

Implemented in internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_mapper< N >, and internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value.

The documentation for this struct was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.